Skip to main content
PATCH
/
v2
/
contracts
/
{id}
/
expenses
/
{expenseId}
Update an expense of the contract
curl --request PATCH \
  --url https://app.tarefy.com/nodeapi/v2/contracts/{id}/expenses/{expenseId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "expense_date": "<string>",
  "amount": 123
}
'
import requests

url = "https://app.tarefy.com/nodeapi/v2/contracts/{id}/expenses/{expenseId}"

payload = {
"name": "<string>",
"description": "<string>",
"expense_date": "<string>",
"amount": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
expense_date: '<string>',
amount: 123
})
};

fetch('https://app.tarefy.com/nodeapi/v2/contracts/{id}/expenses/{expenseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required
expenseId
integer
required

Body

application/json
name
string
description
string
expense_date
string
amount
number

Response

200

Despesa atualizada com sucesso